﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <PublishReadyToRun>false</PublishReadyToRun>
    <TieredCompilation>false</TieredCompilation>
    <RootNamespace />
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>Icon.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Content\bin\**" />
    <Compile Remove="Content\obj\**" />
    <EmbeddedResource Remove="Content\bin\**" />
    <EmbeddedResource Remove="Content\obj\**" />
    <None Remove="Content\bin\**" />
    <None Remove="Content\obj\**" />
  </ItemGroup>
  <ItemGroup>
    <None Remove="Icon.ico" />
    <None Remove="Icon.bmp" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Icon.ico" />
    <EmbeddedResource Include="Icon.bmp">
      <LogicalName>Icon.bmp</LogicalName>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <TrimmerRootAssembly Include="Microsoft.Xna.Framework.Content.ContentTypeReader" Visible="false" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Humper" Version="0.5.8" />
    <PackageReference Include="ini-parser" Version="2.5.2">
      <NoWarn>NU1701</NoWarn>
    </PackageReference>
    <PackageReference Include="MonoGame.Framework.DesktopGL" Version="3.8.0.1641" />
    <PackageReference Include="MonoGame.Content.Builder.Task" Version="3.8.0.1641" />
    <PackageReference Include="MonoGame.Penumbra.DesktopGL" Version="2.0.0" />
    <PackageReference Include="Myra" Version="1.3.2" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="Nopipeline.Task" Version="2.1.0" />
    <PackageReference Include="OptimizedPriorityQueue" Version="5.0.0" />
    <PackageReference Include="TextCopy" Version="4.2.0" />
  </ItemGroup>
  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="rmdir /Q /S &quot;$(ProjectDir)/Content/bin&quot;&amp;&#xD;&#xA;Xcopy /E /I /Y &quot;$(ProjectDir)/Content/Mods/_Main&quot; &quot;$(ProjectDir)/bin/Debug/netcoreapp3.1/Content/Mods/_Main&quot;" />
  </Target>
  <ItemGroup>
    <NPLContentReferences Remove="Content\bin\**" />
  </ItemGroup>
  <ItemGroup>
    <MGCBContentReferences Remove="Content\bin\**" />
  </ItemGroup>
  <ItemGroup>
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.DesktopGL\PenumbraHull.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.DesktopGL\PenumbraLight.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.DesktopGL\PenumbraShadow.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.DesktopGL\PenumbraTexture.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.WindowsDX\PenumbraHull.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.WindowsDX\PenumbraLight.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.WindowsDX\PenumbraShadow.xnb" />
    <Content Remove="C:\Users\micha\.nuget\packages\monogame.penumbra.desktopgl\2.0.0\contentFiles\any\netstandard2.0\Content\bin\DesktopGL\Content.WindowsDX\PenumbraTexture.xnb" />
    <Content Include="Content/MonoPanda/**" />
    <Content Include="Content/Mods/**" />
  </ItemGroup>
  <ItemGroup>
    <NPLContentReferences Remove="Content\obj\**" />
  </ItemGroup>
  <ItemGroup>
    <MGCBContentReferences Remove="Content\obj\**" />
  </ItemGroup>
</Project>